Bug 1572512 - [abrt] cinnamon: gdk_window_has_impl(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: gdk_window_has_impl(): cinnamon killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a82cd0dccda0c1147c58d96e364...
: 1573832 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 08:02 UTC by mithrial
Modified: 2018-10-01 02:46 UTC (History)
5 users (show)

Fixed In Version: cinnamon-3.8.9-1.fc29 cinnamon-3.8.9-1.fc27 cinnamon-3.8.9-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-30 23:26:25 UTC


Attachments (Terms of Use)
File: backtrace (117.80 KB, text/plain)
2018-04-27 08:02 UTC, mithrial
no flags Details
File: cgroup (351 bytes, text/plain)
2018-04-27 08:02 UTC, mithrial
no flags Details
File: core_backtrace (45.60 KB, text/plain)
2018-04-27 08:02 UTC, mithrial
no flags Details
File: cpuinfo (1.64 KB, text/plain)
2018-04-27 08:02 UTC, mithrial
no flags Details
File: dso_list (21.04 KB, text/plain)
2018-04-27 08:02 UTC, mithrial
no flags Details
File: environ (3.07 KB, text/plain)
2018-04-27 08:02 UTC, mithrial
no flags Details
File: exploitable (100 bytes, text/plain)
2018-04-27 08:02 UTC, mithrial
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-27 08:02 UTC, mithrial
no flags Details
File: maps (102.49 KB, text/plain)
2018-04-27 08:02 UTC, mithrial
no flags Details
File: mountinfo (3.91 KB, text/plain)
2018-04-27 08:02 UTC, mithrial
no flags Details
File: open_fds (4.81 KB, text/plain)
2018-04-27 08:02 UTC, mithrial
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-27 08:02 UTC, mithrial
no flags Details

Description mithrial 2018-04-27 08:02:20 UTC
Description of problem:
Happens right after logging.

Version-Release number of selected component:
cinnamon-3.8.0-2.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        cinnamon --replace
crash_function: gdk_window_has_impl
executable:     /usr/bin/cinnamon
journald_cursor: s=ce86e915be9a48cc85f791a1e1d3f294;i=d0205;b=bbd676a9dea3428ea95f8103c1267ce5;m=eec4f70;t=56acef3b51e04;x=23551f967509781b
kernel:         4.16.4-300.fc28.x86_64
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_window_has_impl at gdkwindow.c:678
 #1 _gdk_window_has_impl at gdkwindow.c:678
 #2 gdk_x11_window_get_xid at gdkwindow-x11.c:5566
 #3 cinnamon_tray_icon_constructed
 #4 g_object_new_with_custom_constructor at gobject.c:1771
 #5 g_object_new_internal at gobject.c:1797
 #6 g_object_new_valist at gobject.c:2122
 #8 on_plug_added
 #9 g_hash_table_foreach at ghash.c:1626
 #10 ffi_call_unix64 at ../src/x86/unix64.S:76

Potential duplicate: bug 1065495

Comment 1 mithrial 2018-04-27 08:02:26 UTC
Created attachment 1427564 [details]
File: backtrace

Comment 2 mithrial 2018-04-27 08:02:27 UTC
Created attachment 1427565 [details]
File: cgroup

Comment 3 mithrial 2018-04-27 08:02:29 UTC
Created attachment 1427566 [details]
File: core_backtrace

Comment 4 mithrial 2018-04-27 08:02:30 UTC
Created attachment 1427567 [details]
File: cpuinfo

Comment 5 mithrial 2018-04-27 08:02:32 UTC
Created attachment 1427568 [details]
File: dso_list

Comment 6 mithrial 2018-04-27 08:02:33 UTC
Created attachment 1427569 [details]
File: environ

Comment 7 mithrial 2018-04-27 08:02:34 UTC
Created attachment 1427570 [details]
File: exploitable

Comment 8 mithrial 2018-04-27 08:02:35 UTC
Created attachment 1427571 [details]
File: limits

Comment 9 mithrial 2018-04-27 08:02:37 UTC
Created attachment 1427572 [details]
File: maps

Comment 10 mithrial 2018-04-27 08:02:39 UTC
Created attachment 1427573 [details]
File: mountinfo

Comment 11 mithrial 2018-04-27 08:02:40 UTC
Created attachment 1427574 [details]
File: open_fds

Comment 12 mithrial 2018-04-27 08:02:41 UTC
Created attachment 1427575 [details]
File: proc_pid_status

Comment 13 justo.mayora 2018-05-01 21:02:13 UTC
*** Bug 1573649 has been marked as a duplicate of this bug. ***

Comment 14 Samyn 2018-05-02 10:45:58 UTC
*** Bug 1573832 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Update System 2018-09-21 18:37:55 UTC
cinnamon-3.8.9-1.fc29 cinnamon-control-center-3.8.2-1.fc29 cinnamon-settings-daemon-3.8.6-1.fc29 muffin-3.8.3-1.fc29 nemo-3.8.6-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-248024aacb

Comment 16 Fedora Update System 2018-09-21 18:38:21 UTC
cinnamon-3.8.9-1.fc27 cinnamon-control-center-3.8.2-1.fc27 cinnamon-settings-daemon-3.8.6-1.fc27 muffin-3.8.3-1.fc27 nemo-3.8.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b1954e7d77

Comment 17 Fedora Update System 2018-09-21 18:38:47 UTC
cinnamon-3.8.9-1.fc28 cinnamon-control-center-3.8.2-1.fc28 cinnamon-settings-daemon-3.8.6-1.fc28 muffin-3.8.3-1.fc28 nemo-3.8.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f75cb1224

Comment 18 Fedora Update System 2018-09-22 20:05:33 UTC
cinnamon-3.8.9-1.fc29, cinnamon-control-center-3.8.2-1.fc29, cinnamon-settings-daemon-3.8.6-1.fc29, muffin-3.8.3-1.fc29, nemo-3.8.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-248024aacb

Comment 19 Fedora Update System 2018-09-22 20:41:58 UTC
cinnamon-3.8.9-1.fc27, cinnamon-control-center-3.8.2-1.fc27, cinnamon-settings-daemon-3.8.6-1.fc27, muffin-3.8.3-1.fc27, nemo-3.8.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b1954e7d77

Comment 20 Fedora Update System 2018-09-22 22:14:12 UTC
cinnamon-3.8.9-1.fc28, cinnamon-control-center-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.6-1.fc28, muffin-3.8.3-1.fc28, nemo-3.8.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f75cb1224

Comment 21 Fedora Update System 2018-09-30 23:26:25 UTC
cinnamon-3.8.9-1.fc29, cinnamon-control-center-3.8.2-1.fc29, cinnamon-settings-daemon-3.8.6-1.fc29, muffin-3.8.3-1.fc29, nemo-3.8.6-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2018-10-01 01:22:34 UTC
cinnamon-3.8.9-1.fc27, cinnamon-control-center-3.8.2-1.fc27, cinnamon-settings-daemon-3.8.6-1.fc27, muffin-3.8.3-1.fc27, nemo-3.8.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-10-01 02:46:58 UTC
cinnamon-3.8.9-1.fc28, cinnamon-control-center-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.6-1.fc28, muffin-3.8.3-1.fc28, nemo-3.8.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.